* {
    padding: 0;
    margin: 0;
    font-family: sans-serif;
    --primary-color: #063068;
    --secondary-color: #06479F;
    --bg-light-white: #F5F5F7;
    --bg-blue: #1C4378;
    --bg-light-two: #dddddd;
    --success: #14BA19;
}

body {
    height: 100vh;
    padding-top: 4rem;
}

nav {
    height: 70px;
    background-color: white;
    border-bottom: 1px solid rgba(65, 65, 65, 0.151);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 80px;
    position: fixed;
    z-index: 30;
    width: 90%;
    top: 0;
}

.home-Button {
    font-size: 20px;
    font-weight: 600;
    text-decoration: none;
    color: var(--primary-color);
    border: 1px solid #06469fa8;
    border-radius: 6px;
    padding: 5px 15px;
}

.background {
    height: 100vh;
    width: 100%;
    background-image: url(assets/Background.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    position: fixed;
    z-index: -10;
    top: 0;
}

/* Tracking Page Content */
.tracking-page {
    background-color: white;
}

.container {
    max-width: 1200px;
    margin: 3rem auto 0 auto;
    padding: 8px;
    padding-bottom: 3rem;
}

.header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
}

.tracking-info {
    display: flex;
    gap: 10px;
    font-size: 22px;
    color: var(--primary-color);
    font-weight: 100;
}

.tracking-id {
    color: var(--primary-color);
    font-weight: 600;
}

.print-btn {
    background-color: #fff;
    border: 1px solid var(--secondary-color);
    color: var(--primary-color);
    padding: 8px 22px;
    border-radius: 4px;
    cursor: pointer;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 6px;
}

.status-badge {
    display: flex;
    align-items: center;
    font-size: 18px;
    color: var(--primary-color);
    margin: 0 0 20px -5px;
}

iconify-icon {
    margin-right: 5px;
}

.shipment-box {
    border: 1px solid rgba(83, 83, 83, 0.219);
    padding: 40px 20px 20px;
    border-radius: 26px;
    margin: 3rem 0;
    animation: shipmentBoxAnimation 1.4s ease-in-out forwards;
    display: flex;
    flex-wrap: wrap;
    align-items: start;
    justify-content: space-between;
    width: 100%;
    
}

@keyframes shipmentBoxAnimation {
    0% {
        transform: translateY(50px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.shipment-info {
    font-size: 18px;
    background-color: white;
    padding: 0 20px;
    color: var(--primary-color);
    position: absolute;
    margin-top: -50px;
    transform: translateX(200%);

}

.shipment-details {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 10px;
    align-items: center;
    justify-content: space-between;
    animation: shipmentDetails .5s ease-in-out forwards;
}
@keyframes shipmentDetails {
    0% {
        transform: translateY(20px);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}
.shipment-details-2 {
    display: none;
    flex-direction: column;
    gap: 10px;
    padding: 10px;
    align-items: center;
    justify-content: space-between;
    animation: shipmentDetails .5s ease-in-out forwards;
}

.shipment-details-btns {
    background-color: var(--bg-light-white);
    width: 230px;
    height: 35px;
    border-radius: 50px;
    display: flex;
    overflow: hidden;
    justify-content: space-between;
    margin-left: 45px;
    margin-bottom: 15px;
    z-index: 20;
}

.shipment-details-btns button {
    width: 80%;
    margin: 0 3px;
    border-radius: 50px;
    border: 0;
    font-size: 18px;
    font-weight: 600;
    color: var(--primary-color);
    opacity: .6;
    background-color: transparent;
    z-index: 10;
}
.shipment-details-btns button:hover {
    opacity: 1;
    background-color: var(--bg-light-white);
    cursor: pointer;
}

#activeBtn {
    color: white;
    opacity: 1;
    background-color: var(--bg-blue);
}

.btnBg {
    background-color: var(--bg-blue);
    color: white;
    opacity: 1;
    width: 115px;
    height: 34px;
    border-radius: 50px;
    position: absolute;
}

.details-list {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    margin-top: 10px;
}

.icon {
    width: 35px;
    height: 35px;
    border: 1px solid rgba(0, 0, 0, 0.185);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.icon iconify-icon {
    margin-left: 5px;
    color: var(--bg-light-two);
}

.list-item {
    background-color: var(--bg-light-white);
    width: 230px;
    height: 64px;
    border-radius: 20px;
    display: flex;
    align-items: start;
    flex-direction: column;
    justify-content: center;
    padding-left: 20px;
    color: var(--primary-color);
    font-size: 14px;
}

.details-list .full-width {
    width: 100%;
}

.package {
    width: 100%;
    display: flex;
    padding-left: 6rem;
    margin-top: 3rem;
    color: var(--primary-color);
}

.package h3 {
    font-size: 20px;
    font-weight: 600;
}

.Description {
    height: 100px;
    justify-content: start;
    padding-top: 20px;
}

.history-box h2 {
    font-size: 20px;
    font-weight: 600;
    color: var(--primary-color);
    margin-top: 10px;
}

.history-list {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    margin-top: 30px;
}

.history-list-item {
    display: flex;
    height: 90px;
    width: 512px;
    border: 1px solid rgba(0, 0, 0, 0.192);
    border-radius: 10px;
    margin: 10px 0;
}

.history-list-item .dateTime {
    display: flex;
    flex-direction: column;
    padding: 15px 30px 10px 30px;
    align-items: end;
    border-right: 1px solid rgba(0, 0, 0, 0.178);
}

.history-detail {
    display: flex;
    flex-direction: column;
    padding: 15px 30px;
}

.progress {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    border: 1px solid rgba(0, 0, 0, 0.185);
    position: absolute;
    background-color: white;
    margin-left: 7.85rem;
    margin-top: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.progress div {
    width: 14px;
    height: 14px;
    background-color: var(--bg-light-two);
    border-radius: 50%;
}

p {
    font-weight: bold;
    font-size: 16px;
    margin-top: 3px;
    color: var(--primary-color);
}

b {
    font-size: 14px;
    margin-top: 5px;
    color: var(--primary-color);
}
.history-detail b{
    color: var(--success);
}

@media (max-width: 1024px) {
    
    .tracking-info {
        font-size: 20px;
    }

    .shipment-box {
        flex-direction: column;
        align-items: center;
        width: 96%;
    }

    .shipment-info {
        transform: translateX(0);
        padding: 0 20px;
    }

    .shipment-details {
        padding: 0 20px;
        width: 90%;
    }
    .shipment-details-2 {
        padding: 0 20px;
        width: 90%;
    }

    .list-item {
        width: 100%;
    }

    .package {
        padding-left: 2rem;
    }

    .shipment-details-btns {
        margin-left: 0;
    }

    .container {
        padding: 20px;
    }

    .history-list-item {
        width: 90%;
        height: auto;
        padding: 10px;
    }
    .history-box{
        width: 96%;
        margin-top: 15px;
    }

    
}

@media (max-width: 768px) {
    main {
        padding: 0 15px;
        height: auto;
    }

    
    .tracking-info {
        font-size: 18px;
        flex-direction: column;
        align-items: start;
    }

    .shipment-details-btns {
        width: 100%;
    }

    .btnBg {
        width: 50%;
    }

    .package {
        padding-left: 1rem;
    }

    .history-list-item {
        width: 100%;
    }
}

@media (max-width: 480px) {
    nav {
        padding: 0 15px;
    }

    .home-Button {
        font-size: 18px;
        padding: 4px 10px;
    }

    .tracking-info {
        font-size: 16px;
    }
    .icon{
        display: none;
    }
    .history-box{
        margin-top: 20px;
    }

    .shipment-box {
        padding: 20px 10px;
    }

    .list-item {
       border-radius: 13px;
    }

    .searchButton {
        font-size: 16px;
    }

    .search-bar input {
        font-size: 14px;
    }

    .print-btn {
        padding: 6px 12px;
        font-size: 14px;
    }
      
}

@media (max-width: 435px) {
    .tracking-info {
        font-size: 14px;
    }

    .shipment-details-btns {
        width: 100%;
    }

    .list-item label {
        font-size: 12px;
    }
    .list-item p {
        font-size: 14px;
    }
    .btnBg {
        width: 50%;
    }

    .package {
        padding-left: 1rem;
    }

    .history-list-item {
        width: 100%;
    }
    .dateTime p{
        font-size: 12px;
    }
    .history-detail p{
        font-size: 14px;
    } 
    .history-detail b{
        font-size: 12px;
    }
    .progress{
        width: 25px;
        height: 25px;
        margin-left: 6.8rem;
    }
}
